ChangeSet 1.811.1.3, 2002/12/11 00:36:59-08:00, wahrenbruch@kobil.de

[PATCH] USB: kobil_sct driver bugfix

Here it is. For readers, connected via Adapter B (Kaan Pro, B1 Pro),
the driver starts now reading after open(), so that the PNP string doesn't
confuse the CT-API.


diff -Nru a/drivers/usb/serial/kobil_sct.c b/drivers/usb/serial/kobil_sct.c
--- a/drivers/usb/serial/kobil_sct.c	Mon Dec 16 16:34:17 2002
+++ b/drivers/usb/serial/kobil_sct.c	Mon Dec 16 16:34:17 2002
@@ -23,6 +23,9 @@
  * 
  * TODO: High baudrates
  *
+ * (12/03/2002) tw
+ *      Fixed bug with Pro-readers and PNP
+ *
  * (11/13/2002) tw
  *      Initial version.
  */
@@ -45,7 +48,6 @@
 
 
 #include "kobil_sct.h"
-//#include "../usb-debug.c"
 
 #ifdef CONFIG_USB_SERIAL_DEBUG
 	static int debug = 1;
@@ -56,7 +58,7 @@
 #include "usb-serial.h"
 
 /* Version Information */
-#define DRIVER_VERSION "11/13/2002"
+#define DRIVER_VERSION "12/03/2002"
 #define DRIVER_AUTHOR "KOBIL Systems GmbH - http://www.kobil.com"
 #define DRIVER_DESC "KOBIL USB Smart Card Terminal Driver (experimental)"
 
@@ -318,8 +320,8 @@
 		dbg("%s - port %d Send reset_all_queues URB returns: %i", __FUNCTION__, port->number, result);
 	}
 
-	if (priv->device_type == KOBIL_USBTWIN_PRODUCT_ID) {
-		// start reading
+	if (priv->device_type == KOBIL_USBTWIN_PRODUCT_ID || priv->device_type == KOBIL_ADAPTER_B_PRODUCT_ID) {
+		// start reading (Adapter B 'cause PNP string)
 		result = usb_submit_urb( port->interrupt_in_urb ); 
 		dbg("%s - port %d Send read URB returns: %i", __FUNCTION__, port->number, result);
 	}
